/*:root {*/
/*  --ep-cards-gap: 20px;*/
/*}*/
main {
  margin-top: 40px;
}

.ep__title {
  display: flex;
  align-items: center;
  gap: 20px;
}

.ep__title_text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 64px;
  color: var(--colors-gray-light-mode-700);
}

.ep__title_btn {
  border: 1px solid var(--component-colors-components-buttons-primary-button-primary-border);
  border-radius: 8px;
  padding: 10px 20px;
  width: fit-content;
  height: 44px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--component-colors-components-buttons-primary-button-primary-bg);
  display: flex;
  align-items: center;
  gap: 4px;
  margin-top: 12px;
}

.ep__title_btn_icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

.ep__title_btn_text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-primary-button-primary-fg);
}

.ep__day-filters {
  margin-top: 24px;
  display: flex;
  width: 100%;
  gap: 4px;
}

.ep__day-filter {
  border-radius: 6px;
  padding: 8px 12px;
  width: 100%;
  opacity: 0.8;
  font-weight: 400;
  cursor: pointer;
  transition: all 200ms;
  background: transparent;
  border: 2px solid transparent;
}

.ep__day-filter:hover {
  background: var(--colors-background-bg-brand-primary-alt);
}

.ep__day-filter--active {
  opacity: 1;
  background: var(--colors-background-bg-brand-primary-alt);
  border: 2px solid var(--colors-gray-iron-300);
}

.ep__day-filter--active:hover {
  opacity: 0.9;
}

.ep__day-filter:hover {
  opacity: 0.7;
}

.ep__day-filter_day {
  font-family: var(--second-family);
  font-weight: 600;
  font-size: 36px;
  color: var(--colors-brand-700);
}

.ep__day-filter_date {
  font-family: var(--second-family);
  font-size: 36px;
  color: var(--colors-gray-light-mode-700);
}

.ep__day-filter_name {
  display: block;
  margin-top: 4px;
  font-family: var(--second-family);
  font-size: 16px;
  color: var(--colors-gray-light-mode-500);
}

.ep__filters {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin-top: 40px;
}

.ep__cards {
  margin-top: 20px;
  display: flex;
  --ep-cards-gap: 20px;
  flex-wrap: wrap;
  column-gap: var(--ep-cards-gap);
  row-gap: var(--ep-cards-gap);
}

.ep-card {
  border: 1px solid var(--colors-brand-500);
  border-radius: 12px;
  padding: 32px;
  background: var(--base-white);
  width: calc(50% - var(--ep-cards-gap) / 2);
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.ep-card__header {
  display: flex;
  flex-direction: column;
}

.ep-card__header-location {
  border: 1px solid var(--component-colors-utility-error-utility-error-200);
  border-radius: 9999px;
  padding: 4px 12px;
  background: var(--component-colors-utility-error-utility-error-50);
  margin-bottom: 8px;
  width: fit-content;
}

.ep-card__header-location--business {
  border: 1px solid var(--component-colors-utility-blue-utility-blue-200);
  background: var(--component-colors-utility-blue-utility-blue-50);
  color: var(--component-colors-utility-blue-utility-blue-700);
}

.ep-card__header-title {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 20px;
  line-height: 150%;
  color: var(--colors-gray-light-mode-700);
  width: fit-content;
  text-align: left;
}

.ep-card__header-block {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  color: var(--component-colors-utility-brand-utility-brand-700);
  width: fit-content;
  text-align: left;
}

.ep-card__info-icon {
  display: flex;
  align-items: center;
  gap: 8px;
}

.ep-card__info-icon p {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-gray-light-mode-700);
}

.ep-card__description {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 143%;
  color: var(--colors-text-text-tertiary-600);
  display: flex;
  flex-direction: column;
  gap: 20px;
  /*margin-top: auto;*/
  height: 100%;
}

.ep-card__description-text {
  white-space: pre-wrap;
}

.short {
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.ep-card__description-btns {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-top: auto;
}

.ep-card__button {
  border: 1px solid
    var(--component-colors-components-buttons-secondary-color-button-secondary-color-border);
  border-radius: 8px;
  padding: 10px 20px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--component-colors-components-buttons-secondary-color-button-secondary-color-bg);
  width: 100%;
  display: flex;
  gap: 4px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-secondary-color-button-secondary-color-fg);
  transition: all 300ms;
}

.ep-card__button:hover {
  color: var(--component-colors-components-buttons-secondary-color-button-secondary-color-bg);
  background: var(--component-colors-components-buttons-secondary-color-button-secondary-color-fg);
  border-color: var(
    --component-colors-components-buttons-secondary-color-button-secondary-color-fg
  );
}

.ep-card-modal {
  padding: 0;
  border-radius: 0;
  border: none;
}

.ep-card__info-list {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.ep-card__info-list-header {
  display: flex;
  gap: 8px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-tertiary-600);
  padding-top: 16px;
  border-top: 1px solid var(--colors-border-border-secondary);
}

.ep-card__info-list-items {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.ep-card__info-list-item {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  color: var(--colors-text-text-secondary-700);
}
.ep-card__info-list-item p:nth-child(2) {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 12px;
  line-height: 150%;
  color: var(--colors-text-text-tertiary-600);
}

.ep-card__info-langs {
  align-items: flex-start;
  font-size: 9px;
  line-height: 110%;
  font-style: italic;
  opacity: 0.4;
  svg {
    min-width: 12px;
    min-height: 12px;
  }
}

.ep-card__description-files {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.ep-card__description-file {
  display: flex;
  gap: 12px;
}
.ep-card__description-file div {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 12px;
  line-height: 150%;
  color: var(--colors-text-text-secondary-700);
}
.ep-card__description-file a {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 12px;
  line-height: 150%;
  color: var(--colors-text-text-brand-secondary-700);
}

.ep-empty {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}
.ep-empty__title {
  font-family: var(--second-family);
  font-weight: 600;
  font-size: 36px;
  color: var(--colors-brand-700);
  text-align: center;
}

@media (max-width: 980px) {
  .ep__filters {
    flex-wrap: wrap;
  }
  .ep__title_text {
    font-size: 48px;
  }
}

@media (max-width: 860px) {
  .ep__cards {
    flex-wrap: wrap;
  }
  .ep-card {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .ep__title {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
  }
  .ep__title_text {
    font-size: 38px;
  }
  .ep__title_btn {
    margin-top: 0;
  }
  .ep__day-filters {
    flex-direction: column;
  }
  .ep-card {
    padding: 16px;
  }
  .ep-card__button {
    padding: 10px;
  }
}

@media print {
  .ep-card {
    width: 100%;
    border: none;
    padding: 0;
    gap: 7px;
    padding-bottom: 12px;
    border-bottom: 1px solid #ededed;
    padding-top: 12px;
    border-radius: 0;
  }
  .ep-card:first-child {
    padding-top: 0;
  }
  .ep-card__header-location {
    font-size: 14px;
    padding: 4px 10px;
  }
  .ep__day-filter--active {
    -webkit-print-color-adjust: exact !important;
    print-color-adjust: exact !important;
    color-adjust: exact !important;
    background-color: var(--colors-background-bg-brand-primary-alt) !important;
  }
  .ep-card__description-text {
    font-size: 14px;
  }
  .ep-card__info-list-header {
    padding-top: 8px;
  }
  .ep-card__info-list {
    gap: 1px;
  }
  .ep-card__info-langs {
    display: flex;
    align-items: center;
    gap: 4px;
  }
  .ep-card__info-list-header {
    font-size: 14px;
  }
}
